/*
 * @Author: zhou lei
 * @Date: 2023-05-12 14:00:54
 * @LastEditTime: 2023-05-15 15:08:15
 * @LastEditors: zhou lei
 * @Description: Description
 * @FilePath: /sf-cloud-front/src/api/ems/base/basepublicuser.js
 * 联系方式:910592680@qq.com 科海达信息技术有限公司
 */
import request from '@/utils/request'

// 查询公摊用户列表
export function listBasepublicuser(query) {
  return request({
    url: '/ems/base/basepublicuser/list',
    method: 'get',
    params: query
  })
}

// 查询公摊用户详细
export function getBasepublicuser(id) {
  return request({
    url: '/ems/base/basepublicuser/' + id,
    method: 'get'
  })
}
/**
 * 子查询
 * @param {Number} id
 * @returns
 */
export function childlist(query) {
  return request({
    url: '/ems/base/basepublicuser/childlist',
    method: 'post',
    data:query
  })
}
/**
 * 计量设备
 * @param {Number} id
 * @returns
 */
export function monitorInfoList(query) {
  return request({
    url: '/ems/base/monitorInfo/list',
    method: 'post',
    data:query
  })
}

// 新增公摊用户
export function addBasepublicuser(query) {
  return request({
    url: '/ems/base/basepublicuser/add',
    method: 'post',
    data: query
  })
}

// 修改公摊用户
export function updateBasepublicuser(query) {
  return request({
    url: '/ems/base/basepublicuser/edit',
    method: 'post',
    data: query
  })
}

// 删除公摊用户
export function delBasepublicuser(query) {
  return request({
    url: '/ems/base/basepublicuser/remove',
    method: 'post',
    params: query
  })
}
